--
-- Dumping data for table `field`
--

INSERT INTO `field` (`id`, `name`, `type`) VALUES
(43, 'address', 'string'),
(12, 'alpha_two', 'string'),
(45, 'alt_telephone', 'string'),
(97, 'amount', 'string'),
(89, 'birth_date', 'date'),
(10, 'cadre', 'integer'),
(11, 'classification', 'integer'),
(83, 'code', 'integer'),
(3, 'code', 'string'),
(105, 'comments', 'string'),
(132, 'comments', 'text'),
(60, 'company_address', 'string'),
(59, 'company_name', 'string'),
(61, 'company_phone', 'string'),
(111, 'competency', 'integer'),
(39, 'competency_type', 'integer'),
(100, 'completed', 'integer'),
(69, 'contact_ok', 'integer'),
(42, 'contact_type', 'integer'),
(13, 'country', 'integer'),
(135, 'country', 'string'),
(32, 'county', 'integer'),
(103, 'date', 'date'),
(95, 'date_added', 'date'),
(54, 'degree', 'integer'),
(122, 'department', 'integer'),
(92, 'dependents', 'integer'),
(2, 'description', 'string'),
(114, 'desired_wage', 'string'),
(15, 'district', 'integer'),
(37, 'edu_type', 'integer'),
(47, 'email', 'string'),
(5, 'end', 'integer'),
(86, 'end', 'string'),
(65, 'end_date', 'date'),
(67, 'end_position', 'string'),
(66, 'end_wage', 'integer'),
(102, 'end_wage', 'string'),
(121, 'facility', 'integer'),
(38, 'facility_type', 'integer'),
(46, 'fax', 'string'),
(73, 'felony', 'integer'),
(74, 'felony_circumstance', 'string'),
(49, 'firstname', 'string'),
(115, 'full_time', 'integer'),
(90, 'gender', 'integer'),
(113, 'hear', 'string'),
(116, 'hours', 'string'),
(53, 'id_num', 'string'),
(52, 'id_type', 'integer'),
(55, 'institution', 'string'),
(133, 'interview_comments', 'text'),
(117, 'job', 'integer'),
(107, 'language', 'integer'),
(146, 'location', 'integer'),
(56, 'location', 'string'),
(58, 'major', 'string'),
(91, 'marital_status', 'integer'),
(6, 'midpoint', 'integer'),
(87, 'midpoint', 'string'),
(1, 'name', 'string'),
(51, 'nationality', 'integer'),
(94, 'note', 'string'),
(7, 'notes', 'string'),
(106, 'offer', 'integer'),
(112, 'other_info', 'string'),
(50, 'othername', 'string'),
(131, 'password', 'string'),
(104, 'person', 'string'),
(123, 'pos_type', 'integer'),
(127, 'position', 'integer'),
(72, 'position', 'string'),
(130, 'posted_date', 'date'),
(134, 'primary', 'integer'),
(124, 'proposed_end_date', 'date'),
(125, 'proposed_hiring_date', 'date'),
(118, 'proposed_salary', 'string'),
(109, 'reading', 'integer'),
(136, 'reading', 'string'),
(128, 'reason', 'integer'),
(71, 'reason_for_leaving', 'string'),
(98, 'recurrence', 'integer'),
(14, 'region', 'integer'),
(70, 'responsibilities', 'string'),
(129, 'salary', 'string'),
(9, 'salary_grade', 'integer'),
(30, 'source', 'integer'),
(119, 'source', 'string'),
(108, 'speaking', 'integer'),
(4, 'start', 'integer'),
(85, 'start', 'string'),
(62, 'start_date', 'date'),
(64, 'start_position', 'string'),
(63, 'start_wage', 'integer'),
(101, 'start_wage', 'string'),
(126, 'status', 'integer'),
(120, 'supervisor', 'integer'),
(68, 'supervisor', 'string'),
(48, 'surname', 'string'),
(84, 'symbol', 'string'),
(44, 'telephone', 'string'),
(8, 'title', 'string'),
(96, 'type', 'integer'),
(110, 'writing', 'integer'),
(137, 'writing', 'string'),
(57, 'year', 'date');

--
-- Dumping data for table `form`
--

INSERT INTO `form` (`id`, `name`, `type`) VALUES
(1, 'cadre', 0),
(2, 'classification', 0),
(3, 'salary_grade', 0),
(4, 'job', 0),
(5, 'country', 0),
(6, 'region', 0),
(7, 'district', 0),
(8, 'county', 0),
(11, 'edu_type', 0),
(12, 'degree', 0),
(13, 'position_type', 0),
(14, 'salary_source', 0),
(15, 'language', 0),
(17, 'id_type', 0),
(18, 'facility_type', 0),
(19, 'pos_change_reason', 0),
(20, 'benefit_type', 0),
(21, 'facility', 0),
(22, 'competency_type', 0),
(23, 'competency', 0),
(24, 'department', 0),
(25, 'contact', 0),
(27, 'person_id', 0),
(28, 'education', 0),
(29, 'employment', 0),
(30, 'application', 0),
(35, 'currency', 0),
(36, 'marital_status', 0),
(39, 'notes', 0),
(40, 'benefit', 0),
(41, 'position_interview', 0),
(42, 'position_decision', 0),
(45, 'person_language', 0),
(46, 'person_competency', 0),
(47, 'position', 0),
(48, 'person', 0),
(49, 'demographic', 0),
(50, 'person_position', 0),
(51, 'salary', 0);

--
-- Dumping data for table `form_field`
--

INSERT INTO `form_field` (`id`, `form`, `field`) VALUES
(1, 1, 1),
(2, 2, 1),
(3, 2, 2),
(4, 2, 3),
(5, 3, 1),
(6, 3, 4),
(7, 3, 5),
(8, 3, 6),
(9, 3, 7),
(145, 3, 85),
(146, 3, 86),
(147, 3, 87),
(12, 4, 2),
(11, 4, 3),
(10, 4, 8),
(13, 4, 9),
(14, 4, 10),
(15, 4, 11),
(17, 5, 1),
(16, 5, 3),
(18, 5, 12),
(137, 5, 83),
(240, 5, 134),
(255, 5, 146),
(19, 6, 1),
(21, 6, 3),
(20, 6, 13),
(242, 6, 135),
(22, 7, 1),
(24, 7, 3),
(138, 7, 13),
(23, 7, 14),
(25, 8, 1),
(139, 8, 13),
(140, 8, 14),
(26, 8, 15),
(57, 11, 1),
(58, 12, 1),
(59, 12, 37),
(61, 13, 1),
(62, 14, 1),
(63, 15, 1),
(65, 17, 1),
(66, 18, 1),
(67, 19, 1),
(68, 20, 1),
(69, 21, 1),
(80, 21, 13),
(81, 21, 14),
(71, 21, 15),
(72, 21, 32),
(70, 21, 38),
(73, 22, 1),
(74, 23, 1),
(76, 23, 7),
(75, 23, 39),
(77, 24, 1),
(88, 25, 7),
(82, 25, 42),
(83, 25, 43),
(84, 25, 44),
(85, 25, 45),
(86, 25, 46),
(87, 25, 47),
(150, 25, 89),
(151, 25, 90),
(152, 25, 91),
(153, 25, 92),
(97, 27, 52),
(98, 27, 53),
(99, 28, 37),
(100, 28, 54),
(101, 28, 55),
(102, 28, 56),
(103, 28, 57),
(104, 28, 58),
(170, 28, 100),
(105, 29, 59),
(106, 29, 60),
(107, 29, 61),
(108, 29, 62),
(109, 29, 63),
(110, 29, 64),
(111, 29, 65),
(112, 29, 66),
(113, 29, 67),
(114, 29, 68),
(115, 29, 69),
(116, 29, 70),
(117, 29, 71),
(171, 29, 101),
(172, 29, 102),
(201, 30, 62),
(118, 30, 72),
(119, 30, 73),
(120, 30, 74),
(199, 30, 112),
(200, 30, 113),
(202, 30, 114),
(203, 30, 115),
(204, 30, 116),
(142, 35, 1),
(141, 35, 3),
(143, 35, 13),
(144, 35, 84),
(149, 36, 1),
(161, 39, 94),
(162, 39, 95),
(165, 40, 30),
(166, 40, 62),
(167, 40, 65),
(163, 40, 96),
(164, 40, 97),
(168, 40, 98),
(173, 41, 103),
(174, 41, 104),
(175, 41, 105),
(176, 42, 103),
(178, 42, 105),
(177, 42, 106),
(193, 45, 107),
(194, 45, 108),
(195, 45, 109),
(196, 45, 110),
(243, 45, 136),
(244, 45, 137),
(197, 46, 39),
(198, 46, 111),
(208, 47, 2),
(205, 47, 3),
(207, 47, 8),
(206, 47, 117),
(209, 47, 118),
(210, 47, 119),
(211, 47, 120),
(212, 47, 121),
(213, 47, 122),
(214, 47, 123),
(215, 47, 124),
(216, 47, 125),
(217, 47, 126),
(236, 47, 130),
(238, 47, 132),
(239, 47, 133),
(222, 48, 13),
(223, 48, 15),
(224, 48, 32),
(218, 48, 48),
(219, 48, 49),
(220, 48, 50),
(221, 48, 51),
(237, 48, 131),
(225, 49, 89),
(226, 49, 90),
(227, 49, 91),
(228, 49, 92),
(230, 50, 62),
(231, 50, 65),
(229, 50, 127),
(232, 50, 128),
(241, 51, 7),
(233, 51, 62),
(235, 51, 65),
(234, 51, 129);

--
-- Dumping data for table `record`
--

INSERT INTO `record` (`id`, `last_modified`, `form`, `parent`) VALUES
(10, NOW(), 35, 0),
(91, NOW(), 15, 0),
(92, NOW(), 15, 0),
(93, NOW(), 15, 0),
(94, NOW(), 15, 0),
(95, NOW(), 15, 0),
(96, NOW(), 15, 0),
(97, NOW(), 15, 0),
(98, NOW(), 15, 0),
(99, NOW(), 36, 0),
(100, NOW(), 36, 0),
(101, NOW(), 36, 0),
(102, NOW(), 36, 0),
(103, NOW(), 5, 0),
(104, NOW(), 5, 0),
(105, NOW(), 5, 0),
(106, NOW(), 5, 0),
(107, NOW(), 5, 0),
(108, NOW(), 5, 0),
(109, NOW(), 5, 0),
(110, NOW(), 5, 0),
(129, NOW(), 11, 0),
(130, NOW(), 11, 0),
(131, NOW(), 11, 0),
(132, NOW(), 11, 0),
(133, NOW(), 12, 0),
(134, NOW(), 12, 0),
(135, NOW(), 12, 0),
(136, NOW(), 12, 0),
(137, NOW(), 12, 0),
(138, NOW(), 12, 0),
(139, NOW(), 12, 0),
(140, NOW(), 12, 0),
(141, NOW(), 12, 0),
(185, NOW(), 17, 0),
(186, NOW(), 17, 0),
(187, NOW(), 17, 0),
(188, NOW(), 20, 0),
(189, NOW(), 20, 0),
(190, NOW(), 20, 0),
(191, NOW(), 19, 0),
(192, NOW(), 19, 0),
(193, NOW(), 19, 0),
(194, NOW(), 19, 0),
(195, NOW(), 19, 0),
(196, NOW(), 19, 0),
(197, NOW(), 19, 0),
(198, NOW(), 19, 0),
(10275, NOW(), 5, 0),
(10284, NOW(), 5, 0),
(10288, NOW(), 11, 0),
(10289, NOW(), 12, 0),
(10290, NOW(), 12, 0),
(10291, NOW(), 15, 0),
(10293, NOW(), 17, 0),
(10294, NOW(), 20, 0),
(10295, NOW(), 36, 0),
(10296, NOW(), 19, 0),
(10297, NOW(), 5, 0),
(10298, NOW(), 35, 0),
(10334, NOW(), 5, 0),
(10367, NOW(), 35, 0),
(10368, NOW(), 35, 0);
--
-- Dumping data for table `last_entry`
--

INSERT INTO `last_entry` (`record`, `form_field`, `date`, `who`, `change_type`, `string_value`, `integer_value`, `text_value`, `date_value`, `blob_value`) VALUES
(10, 141, NOW(), 1, 1, 'TF', NULL, NULL, NULL, NULL),
(10, 142, NOW(), 1, 1, 'Taifeki', NULL, NULL, NULL, NULL),
(10, 143, NOW(), 1, 1, NULL, 9, NULL, NULL, NULL),
(10, 144, NOW(), 1, 1, '¤', NULL, NULL, NULL, NULL),
(91, 63, NOW(), 1, 1, 'Taifafeki', NULL, NULL, NULL, NULL),
(92, 63, NOW(), 1, 1, 'French', NULL, NULL, NULL, NULL),
(93, 63, NOW(), 1, 1, 'English', NULL, NULL, NULL, NULL),
(94, 63, NOW(), 1, 1, 'Spanish', NULL, NULL, NULL, NULL),
(95, 63, NOW(), 1, 1, 'Kinyarwanda', NULL, NULL, NULL, NULL),
(96, 63, NOW(), 1, 1, 'Swahili', NULL, NULL, NULL, NULL),
(97, 63, NOW(), 1, 1, 'Italian', NULL, NULL, NULL, NULL),
(98, 63, NOW(), 1, 1, 'Dutch', NULL, NULL, NULL, NULL),
(99, 149, NOW(), 1, 1, 'Single', NULL, NULL, NULL, NULL),
(100, 149, NOW(), 1, 1, 'Married', NULL, NULL, NULL, NULL),
(101, 149, NOW(), 1, 1, 'Widowed', NULL, NULL, NULL, NULL),
(102, 149, NOW(), 1, 1, 'Divorced', NULL, NULL, NULL, NULL),
(103, 17, NOW(), 1, 1, 'Rwanda', NULL, NULL, NULL, NULL),
(103, 18, NOW(), 1, 1, 'RW', NULL, NULL, NULL, NULL),
(103, 137, NOW(), 1, 1, NULL, NULL, NULL, NULL, NULL),
(103, 240, NOW(), 1, 1, NULL, 0, NULL, NULL, NULL),
(104, 17, NOW(), 1, 1, 'Congo', NULL, NULL, NULL, NULL),
(104, 18, NOW(), 1, 1, 'CG', NULL, NULL, NULL, NULL),
(104, 137, NOW(), 1, 1, NULL, NULL, NULL, NULL, NULL),
(104, 240, NOW(), 1, 1, NULL, 0, NULL, NULL, NULL),
(105, 17, NOW(), 1, 1, 'Belgium', NULL, NULL, NULL, NULL),
(105, 18, NOW(), 1, 1, 'BE', NULL, NULL, NULL, NULL),
(105, 137, NOW(), 1, 1, NULL, NULL, NULL, NULL, NULL),
(105, 240, NOW(), 1, 1, NULL, 0, NULL, NULL, NULL),
(106, 17, NOW(), 1, 1, 'Uganda', NULL, NULL, NULL, NULL),
(106, 18, NOW(), 1, 1, 'UG', NULL, NULL, NULL, NULL),
(106, 137, NOW(), 1, 1, NULL, NULL, NULL, NULL, NULL),
(106, 240, NOW(), 1, 1, NULL, 0, NULL, NULL, NULL),
(107, 17, NOW(), 1, 1, 'Kenya', NULL, NULL, NULL, NULL),
(107, 18, NOW(), 1, 1, 'KE', NULL, NULL, NULL, NULL),
(107, 137, NOW(), 1, 1, NULL, NULL, NULL, NULL, NULL),
(107, 240, NOW(), 1, 1, NULL, 0, NULL, NULL, NULL),
(108, 17, NOW(), 1, 1, 'Burundi', NULL, NULL, NULL, NULL),
(108, 18, NOW(), 1, 1, 'BI', NULL, NULL, NULL, NULL),
(108, 137, NOW(), 1, 1, NULL, NULL, NULL, NULL, NULL),
(108, 240, NOW(), 1, 1, NULL, 0, NULL, NULL, NULL),
(109, 17, NOW(), 1, 1, 'Tanzania', NULL, NULL, NULL, NULL),
(109, 18, NOW(), 1, 1, 'TZ', NULL, NULL, NULL, NULL),
(109, 137, NOW(), 1, 1, NULL, NULL, NULL, NULL, NULL),
(109, 240, NOW(), 1, 1, NULL, 0, NULL, NULL, NULL),
(110, 17, NOW(), 1, 1, 'United States', NULL, NULL, NULL, NULL),
(110, 18, NOW(), 1, 1, 'US', NULL, NULL, NULL, NULL),
(110, 137, NOW(), 1, 1, NULL, NULL, NULL, NULL, NULL),
(110, 240, NOW(), 1, 1, NULL, 0, NULL, NULL, NULL),
(129, 57, NOW(), 1, 1, 'Degree/Certification', NULL, NULL, NULL, NULL),
(130, 57, NOW(), 1, 1, 'Continuing Education', NULL, NULL, NULL, NULL),
(131, 57, NOW(), 1, 1, 'Informal', NULL, NULL, NULL, NULL),
(132, 57, NOW(), 1, 1, 'Other', NULL, NULL, NULL, NULL),
(133, 58, NOW(), 1, 1, 'MD', NULL, NULL, NULL, NULL),
(133, 59, NOW(), 1, 1, NULL, 129, NULL, NULL, NULL),
(134, 58, NOW(), 1, 1, 'PhD', NULL, NULL, NULL, NULL),
(134, 59, NOW(), 1, 1, NULL, 129, NULL, NULL, NULL),
(135, 58, NOW(), 1, 1, 'MPH', NULL, NULL, NULL, NULL),
(135, 59, NOW(), 1, 1, NULL, 129, NULL, NULL, NULL),
(136, 58, NOW(), 1, 1, 'Masters', NULL, NULL, NULL, NULL),
(136, 59, NOW(), 1, 1, NULL, 129, NULL, NULL, NULL),
(137, 58, NOW(), 1, 1, 'Postgraduate', NULL, NULL, NULL, NULL),
(137, 59, NOW(), 1, 1, NULL, 129, NULL, NULL, NULL),
(138, 58, NOW(), 1, 1, 'BA/BS', NULL, NULL, NULL, NULL),
(138, 59, NOW(), 1, 1, NULL, 129, NULL, NULL, NULL),
(139, 58, NOW(), 1, 1, 'License', NULL, NULL, NULL, NULL),
(139, 59, NOW(), 1, 1, NULL, 130, NULL, NULL, NULL),
(140, 58, NOW(), 1, 1, 'Completion of Training', NULL, NULL, NULL, NULL),
(140, 59, NOW(), 1, 1, NULL, 131, NULL, NULL, NULL),
(141, 58, NOW(), 1, 1, 'Diploma', NULL, NULL, NULL, NULL),
(141, 59, NOW(), 1, 1, NULL, 132, NULL, NULL, NULL),
(185, 65, NOW(), 1, 1, 'Passport Number', NULL, NULL, NULL, NULL),
(186, 65, NOW(), 1, 1, 'Birth Certificate', NULL, NULL, NULL, NULL),
(187, 65, NOW(), 1, 1, 'National Health Identification Number', NULL, NULL, NULL, NULL),
(188, 68, NOW(), 1, 1, 'Allowance', NULL, NULL, NULL, NULL),
(189, 68, NOW(), 1, 1, 'Bonus', NULL, NULL, NULL, NULL),
(190, 68, NOW(), 1, 1, 'Travel Advance', NULL, NULL, NULL, NULL),
(191, 67, NOW(), 1, 1, 'Illness/Disability', NULL, NULL, NULL, NULL),
(192, 67, NOW(), 1, 1, 'Relocation', NULL, NULL, NULL, NULL),
(193, 67, NOW(), 1, 1, 'Out Migration', NULL, NULL, NULL, NULL),
(194, 67, NOW(), 1, 1, 'Death', NULL, NULL, NULL, NULL),
(195, 67, NOW(), 1, 1, 'New Position', NULL, NULL, NULL, NULL),
(196, 67, NOW(), 1, 1, 'Internal Promotion', NULL, NULL, NULL, NULL),
(197, 67, NOW(), 1, 1, 'Involuntary Separation', NULL, NULL, NULL, NULL),
(198, 67, NOW(), 1, 1, 'Retirement', NULL, NULL, NULL, NULL),
(10275, 17, NOW(), 1, 1, 'Sudan', NULL, NULL, NULL, NULL),
(10275, 18, NOW(), 1, 1, 'SDN', NULL, NULL, NULL, NULL),
(10275, 137, NOW(), 1, 1, NULL, 736, NULL, NULL, NULL),
(10275, 240, NOW(), 1, 1, NULL, 0, NULL, NULL, NULL),
(10284, 17, NOW(), 1, 1, 'France', NULL, NULL, NULL, NULL),
(10284, 18, NOW(), 1, 1, 'FR', NULL, NULL, NULL, NULL),
(10284, 137, NOW(), 1, 1, NULL, 333, NULL, NULL, NULL),
(10284, 240, NOW(), 1, 1, NULL, 0, NULL, NULL, NULL),
(10288, 57, NOW(), 1, 1, 'High School', NULL, NULL, NULL, NULL),
(10289, 58, NOW(), 1, 1, 'Diploma', NULL, NULL, NULL, NULL),
(10289, 59, NOW(), 1, 1, NULL, 10288, NULL, NULL, NULL),
(10290, 58, NOW(), 1, 1, 'Certificate', NULL, NULL, NULL, NULL),
(10290, 59, NOW(), 1, 1, NULL, 132, NULL, NULL, NULL),
(10291, 63, NOW(), 1, 1, 'German', NULL, NULL, NULL, NULL),
(10293, 65, NOW(), 1, 1, 'Social Security Number', NULL, NULL, NULL, NULL),
(10294, 68, NOW(), 1, 1, 'Expense ', NULL, NULL, NULL, NULL),
(10295, 149, NOW(), 1, 1, 'Domestic Partner', NULL, NULL, NULL, NULL),
(10296, 67, NOW(), 1, 1, 'Voluntary Separation', NULL, NULL, NULL, NULL),
(10297, 17, NOW(), 1, 1, 'Switzerland', NULL, NULL, NULL, NULL),
(10297, 18, NOW(), 1, 1, 'CH', NULL, NULL, NULL, NULL),
(10297, 137, NOW(), 1, 1, NULL, NULL, NULL, NULL, NULL),
(10297, 240, NOW(), 1, 1, NULL, 0, NULL, NULL, NULL),
(10298, 141, NOW(), 1, 1, 'EU', NULL, NULL, NULL, NULL),
(10298, 142, NOW(), 1, 1, 'Euro', NULL, NULL, NULL, NULL),
(10298, 143, NOW(), 1, 1, NULL, 10284, NULL, NULL, NULL),
(10298, 144, NOW(), 1, 1, '€', NULL, NULL, NULL, NULL),
(10334, 17, NOW(), 1, 1, 'Germany', NULL, NULL, NULL, NULL),
(10334, 18, NOW(), 1, 1, 'DZ', NULL, NULL, NULL, NULL),
(10334, 137, NOW(), 1, 1, NULL, NULL, NULL, NULL, NULL),
(10334, 240, NOW(), 1, 1, NULL, 0, NULL, NULL, NULL),
(10367, 141, NOW(), 1, 1, 'USD', NULL, NULL, NULL, NULL),
(10367, 142, NOW(), 1, 1, 'US Dollar', NULL, NULL, NULL, NULL),
(10367, 143, NOW(), 1, 1, NULL, 110, NULL, NULL, NULL),
(10367, 144, NOW(), 1, 1, '$', NULL, NULL, NULL, NULL),
(10368, 141, NOW(), 1, 1, 'GBP', NULL, NULL, NULL, NULL),
(10368, 142, NOW(), 1, 1, 'British Pound', NULL, NULL, NULL, NULL),
(10368, 143, NOW(), 1, 1, NULL, NULL, NULL, NULL, NULL),
(10368, 144, NOW(), 1, 1, '£', NULL, NULL, NULL, NULL);


INSERT IGNORE INTO `entry` (`record`, `form_field`, `date`, `who`, `change_type`, `string_value`, `integer_value`, `text_value`, `date_value`, `blob_value`) 
    SELECT `record`, `form_field`, `date`, `who`, `change_type`, `string_value`, `integer_value`, `text_value`, `date_value`, `blob_value` FROM `last_entry`;

ALTER TABLE `record` AUTO_INCREMENT = 12345;
