-- 
-- make US a selectable location
-- 

UPDATE `last_entry` SET `integer_value` = 1  WHERE (`record`=110 AND `form_field` = 255);



---
---  Create the forms we need for the training module
---

INSERT INTO `form` (`name`,`type`) VALUES
( 'competency_evaluation',0) ,
( 'continuing_education_course', 0),
( 'continuing_education', 0),
( 'training_funder', 0),
( 'training_institution', 0),
( 'training_course_requestor', 0),
( 'training_course_competency_evaluation', 0),
( 'person_scheduled_training_course', 0),
( 'training_course_evaluation', 0),
( 'scheduled_training_course', 0),
( 'training_course', 0),
( 'training_course_status', 0),
( 'training_course_category', 0)
ON DUPLICATE KEY UPDATE name=name;




---
---  Create the fields we need
---




INSERT INTO `field` ( `name`, `type`) VALUES 
( 'competency', 'integer'),
( 'competency', 'string'),
('competency_evaluation', 'integer'),
( 'credit_hours', 'integer'),
( 'scheduled_training_course', 'integer'),
( 'training_course', 'integer'),
( 'training_course_requestor', 'integer'),
( 'training_course_evaluation', 'integer'),
( 'request_date', 'date'),
( 'is_retraining', 'integer'),
( 'instructors', 'string'),
( 'num_students', 'integer'),
( 'site', 'string'),
( 'training_course_category', 'integer'),
( 'training_course_status', 'integer'),
( 'continuing_education_course', 'string'),
( 'training_funder', 'string'),
( 'training_institution', 'integer'),
( 'topic', 'string'),
( 'evaluation_date', 'date')
ON DUPLICATE KEY UPDATE name=name;



-- 
-- Create the  `form_field`s we need
-- 


INSERT INTO form_field (id, form, field) 
SELECT 261 AS id, form.id as form, field.id as field FROM
    form, field WHERE form.name='competency_evaluation' 
    AND field.name='name' AND field.type='string'  
UNION SELECT 262 AS id, form.id as form, field.id as field FROM
     form, field WHERE form.name='training_course_category'   
    AND field.name='name' AND field.type='string' 
UNION SELECT 263 AS id, form.id as form, field.id as field FROM
     form, field WHERE form.name='training_course_status'   
    AND field.name='name' AND field.type='string' 
UNION SELECT 264 AS id, form.id as form, field.id as field FROM
     form, field WHERE form.name='training_course'   
    AND field.name='name' AND field.type='string' 
UNION SELECT 266 AS id, form.id as form, field.id as field FROM
     form, field WHERE form.name='training_course'   
    AND field.name='notes' AND field.type='string' 
UNION SELECT 265 AS id, form.id as form, field.id as field FROM
     form, field WHERE form.name='training_course'   
    AND field.name='topic' AND field.type='string' 
UNION SELECT 267 AS id, form.id as form, field.id as field FROM
     form, field WHERE form.name='training_course'   
    AND field.name='training_institution' AND field.type='integer' 
UNION SELECT 268 AS id, form.id as form, field.id as field FROM
     form, field WHERE form.name='training_course'   
    AND field.name='training_funder' AND field.type='string' 
UNION SELECT 269 AS id, form.id as form, field.id as field FROM
     form, field WHERE form.name='training_course'   
    AND field.name='continuing_education_course' AND field.type='string' 
UNION SELECT 270 AS id, form.id as form, field.id as field FROM
     form, field WHERE form.name='training_course'   
    AND field.name='training_course_status' AND field.type='integer' 
UNION SELECT 271 AS id, form.id as form, field.id as field FROM
     form, field WHERE form.name='training_course'   
    AND field.name='training_course_category' AND field.type='integer' 
UNION SELECT 272 AS id, form.id as form, field.id as field FROM
     form, field WHERE form.name='training_course'   
    AND field.name='competency' AND field.type='string' 
UNION SELECT 275 AS id, form.id as form, field.id as field FROM
     form, field WHERE form.name='scheduled_training_course'   
    AND field.name='notes' AND field.type='string' 
UNION SELECT 279 AS id, form.id as form, field.id as field FROM
     form, field WHERE form.name='scheduled_training_course'   
    AND field.name='country' AND field.type='integer'  
UNION SELECT 280 AS id, form.id as form, field.id as field FROM
     form, field WHERE form.name='scheduled_training_course'   
    AND field.name='district' AND field.type='integer' 
UNION SELECT 281 AS id, form.id as form, field.id as field FROM
     form, field WHERE form.name='scheduled_training_course'   
    AND field.name='county' AND field.type='integer'  
UNION SELECT 277 AS id, form.id as form, field.id as field FROM
     form, field WHERE form.name='scheduled_training_course'   
    AND field.name='start_date' AND field.type='date' 
UNION SELECT 278 AS id, form.id as form, field.id as field FROM
     form, field WHERE form.name='scheduled_training_course'   
    AND field.name='end_date' AND field.type='date' 
UNION SELECT 273 AS id, form.id as form, field.id as field FROM
     form, field WHERE form.name='scheduled_training_course'   
    AND field.name='site' AND field.type='string' 
UNION SELECT 274 AS id, form.id as form, field.id as field FROM
     form, field WHERE form.name='scheduled_training_course'   
    AND field.name='num_students' AND field.type='integer' 
UNION SELECT 276 AS id, form.id as form, field.id as field FROM
     form, field WHERE form.name='scheduled_training_course'   
    AND field.name='instructors' AND field.type='string' 
UNION SELECT 282 AS id, form.id as form, field.id as field FROM
     form, field WHERE form.name='training_course_evaluation'   
    AND field.name='name' AND field.type='string' 
UNION SELECT 286 AS id, form.id as form, field.id as field FROM
     form, field WHERE form.name='person_scheduled_training_course'   
    AND field.name='notes' AND field.type='string' 
UNION SELECT 284 AS id, form.id as form, field.id as field FROM
     form, field WHERE form.name='person_scheduled_training_course'   
    AND field.name='completed' AND field.type='integer'  
UNION SELECT 283 AS id, form.id as form, field.id as field FROM
     form, field WHERE form.name='person_scheduled_training_course'   
    AND field.name='is_retraining' AND field.type='integer' 
UNION SELECT 285 AS id, form.id as form, field.id as field FROM
     form, field WHERE form.name='person_scheduled_training_course'   
    AND field.name='request_date' AND field.type='date' 
UNION SELECT 287 AS id, form.id as form, field.id as field FROM
     form, field WHERE form.name='person_scheduled_training_course'   
    AND field.name='training_course_evaluation' AND field.type='integer' 
UNION SELECT 288 AS id, form.id as form, field.id as field FROM
     form, field WHERE form.name='person_scheduled_training_course'   
    AND field.name='training_course_requestor' AND field.type='integer' 
UNION SELECT 289 AS id, form.id as form, field.id as field FROM
     form, field WHERE form.name='person_scheduled_training_course'   
    AND field.name='training_course' AND field.type='integer' 
UNION SELECT 290 AS id, form.id as form, field.id as field FROM
     form, field WHERE form.name='person_scheduled_training_course'   
    AND field.name='scheduled_training_course' AND field.type='integer' 
UNION SELECT 291 AS id, form.id as form, field.id as field FROM
     form, field WHERE form.name='training_course_competency_evaluation'   
    AND field.name='notes' AND field.type='string' 
UNION SELECT 294 AS id, form.id as form, field.id as field FROM
     form, field WHERE form.name='training_course_competency_evaluation'   
    AND field.name='competency_type' AND field.type='integer'  
UNION SELECT 295 AS id, form.id as form, field.id as field FROM
     form, field WHERE form.name='training_course_competency_evaluation'   
    AND field.name='competency' AND field.type='integer' 
UNION SELECT 292 AS id, form.id as form, field.id as field FROM
     form, field WHERE form.name='training_course_competency_evaluation'   
    AND field.name='evaluation_date' AND field.type='date' 
UNION SELECT 293 AS id, form.id as form, field.id as field FROM
     form, field WHERE form.name='training_course_competency_evaluation'   
    AND field.name='competency_evaluation' AND field.type='integer' 
UNION SELECT 306 AS id, form.id as form, field.id as field FROM
     form, field WHERE form.name='training_course_requestor'   
    AND field.name='name' AND field.type='string' 
UNION SELECT 298 AS id, form.id as form, field.id as field FROM
     form, field WHERE form.name='training_institution'   
    AND field.name='name' AND field.type='string' 
UNION SELECT 299 AS id, form.id as form, field.id as field FROM
     form, field WHERE form.name='training_institution'   
    AND field.name='country' AND field.type='integer'  
UNION SELECT 300 AS id, form.id as form, field.id as field FROM
     form, field WHERE form.name='training_institution'   
    AND field.name='district' AND field.type='integer' 
UNION SELECT 301 AS id, form.id as form, field.id as field FROM
     form, field WHERE form.name='training_institution'   
    AND field.name='county' AND field.type='integer' 
UNION SELECT 302 AS id, form.id as form, field.id as field FROM
     form, field WHERE form.name='training_funder'   
    AND field.name='name' AND field.type='string' 
UNION SELECT 303 AS id, form.id as form, field.id as field FROM
     form, field WHERE form.name='training_funder'   
    AND field.name='country' AND field.type='integer'  
UNION SELECT 304 AS id, form.id as form, field.id as field FROM
     form, field WHERE form.name='training_funder'   
    AND field.name='district' AND field.type='integer'  
UNION SELECT 305 AS id, form.id as form, field.id as field FROM
     form, field WHERE form.name='training_funder'   
    AND field.name='county' AND field.type='integer'  
UNION SELECT 296 AS id, form.id as form, field.id as field FROM
     form, field WHERE form.name='continuing_education_course'   
    AND field.name='name' AND field.type='string' 
UNION SELECT 297 AS id, form.id as form, field.id as field FROM
     form, field WHERE form.name='continuing_education_course'   
    AND field.name='credit_hours' AND field.type='integer';

---
--- Create the records we need
---

INSERT INTO `record` (`id`, `last_modified`, `form`, `parent`) VALUES 
(15422, '2008-09-17 14:26:43', ( SELECT id FROM `form` WHERE name='training_course_category' AND type=0 LIMIT 1), 0),
(15421, '2008-09-17 14:26:26', (SELECT id FROM `form` WHERE name='training_course_category' AND type=0 LIMIT 1), 0),
(15420, '2008-09-17 14:26:13', (SELECT id FROM `form` WHERE name='training_course_category' AND type=0 LIMIT 1), 0),
(15419, '2008-09-17 14:25:35', (SELECT id FROM `form` WHERE name='scheduled_training_course' AND type=0 LIMIT 1), 15418),
(15418, '2008-09-17 14:24:59', (SELECT id FROM `form` WHERE name='training_course' AND type=0 LIMIT 1), 0),
(15417, '2008-09-17 14:24:26', (SELECT id FROM `form` WHERE name='training_course_category' AND type=0 LIMIT 1), 0),
(15416, '2008-09-17 14:23:55', (SELECT id FROM `form` WHERE name='continuing_education_course' AND type=0 LIMIT 1), 0),
(15415, '2008-09-17 14:23:14', (SELECT id FROM `form` WHERE name='scheduled_training_course' AND type=0 LIMIT 1), 15414),
(15414, '2008-09-17 14:22:42', (SELECT id FROM `form` WHERE name='training_course' AND type=0 LIMIT 1), 0),
(15413, '2008-09-17 14:21:36', (SELECT id FROM `form` WHERE name='training_course_requestor' AND type=0 LIMIT 1), 0),
(15412, '2008-09-17 14:21:30', (SELECT id FROM `form` WHERE name='training_course_requestor' AND type=0 LIMIT 1), 0),
(15411, '2008-09-17 14:21:23', (SELECT id FROM `form` WHERE name='training_course_requestor' AND type=0 LIMIT 1), 0),
(15410, '2008-09-17 14:21:16', (SELECT id FROM `form` WHERE name='training_course_requestor' AND type=0 LIMIT 1), 0),
(15409, '2008-09-17 14:21:07', (SELECT id FROM `form` WHERE name='training_course_requestor' AND type=0 LIMIT 1), 0),
(15407, '2008-09-17 14:20:44', (SELECT id FROM `form` WHERE name='training_funder' AND type=0 LIMIT 1), 0),
(15408, '2008-09-17 14:20:44', (SELECT id FROM `form` WHERE name='contact' AND type=0 LIMIT 1), 15407),
(15405, '2008-09-17 14:17:39', (SELECT id FROM `form` WHERE name='training_institution' AND type=0 LIMIT 1), 0),
(15406, '2008-09-17 14:17:39', (SELECT id FROM `form` WHERE name='contact' AND type=0 LIMIT 1), 15405),
(15404, '2008-09-17 14:17:18', (SELECT id FROM `form` WHERE name='contact' AND type=0 LIMIT 1), 15403),
(15403, '2008-09-17 14:17:18', (SELECT id FROM `form` WHERE name='training_institution' AND type=0 LIMIT 1), 0),
(15402, '2008-09-17 14:16:54', (SELECT id FROM `form` WHERE name='contact' AND type=0 LIMIT 1), 15401),
(15401, '2008-09-17 14:16:54', (SELECT id FROM `form` WHERE name='training_institution' AND type=0 LIMIT 1), 0),
(15400, '2008-09-17 14:16:07', (SELECT id FROM `form` WHERE name='continuing_education_course' AND type=0 LIMIT 1), 0),
(15372,'2008-08-14 09:59:53', (SELECT id FROM form WHERE name='competency_evaluation' AND type=0 LIMIT 1),0),
(15373,'2008-08-14 10:00:03', (SELECT id FROM form WHERE name='competency_evaluation' AND type=0 LIMIT 1),0),
(15374,'2008-08-14 10:03:40', (SELECT id FROM form WHERE name='training_course_category' AND type=0 LIMIT 1), 0),
(15375,'2008-08-14 10:04:28', (SELECT id FROM form WHERE name='training_course_status' AND type=0 LIMIT 1),0),
(15376,'2008-08-14 10:04:37', (SELECT id FROM form WHERE name='training_course_status' AND type=0 LIMIT 1),0),
(15377,'2008-08-14 10:05:04', (SELECT id FROM form WHERE name='training_course' AND type=0 LIMIT 1),0),
(15378,'2008-08-14 10:05:30', (SELECT id FROM form WHERE name='scheduled_training_course' AND type=0 LIMIT 1),15377),
(15379,'2008-08-14 10:07:38', (SELECT id FROM form WHERE name='training_course_evaluation' AND type=0 LIMIT 1), 0),
(15380,'2008-08-14 10:07:47', (SELECT id FROM form WHERE name='training_course_evaluation' AND type=0 LIMIT 1), 0),
(15381,'2008-08-14 10:07:55', (SELECT id FROM form WHERE name='training_course_evaluation' AND type=0 LIMIT 1), 0),
(15383,'2008-08-14 10:08:47', (SELECT id FROM form WHERE name='training_course_competency_evaluation' AND type=0 LIMIT 1), 15384),
(15384,'2008-08-14 10:11:12', (SELECT id FROM form WHERE name='person_scheduled_training_course' AND type=0 LIMIT 1), 10341),
(15385,'2008-08-14 11:00:31', (SELECT id FROM form WHERE name='person' AND type=0 LIMIT 1),     0),
(15386,'2008-08-14 11:02:10', (SELECT id FROM form WHERE name='demographic' AND type=0 LIMIT 1),    15385),
(15387,'2008-08-14 11:03:21', (SELECT id FROM form WHERE name='contact' AND type=0 LIMIT 1),     15385),
(15388,'2008-08-14 11:04:00', (SELECT id FROM form WHERE name='person_position' AND type=0 LIMIT 1),    15385),
(15389,'2008-08-14 11:04:00', (SELECT id FROM form WHERE name='salary' AND type=0 LIMIT 1),     15388),
(15390,'2008-08-14 11:04:38', (SELECT id FROM form WHERE name='person_id' AND type=0 LIMIT 1),    15385),
(15391,'2008-08-14 11:08:34', (SELECT id FROM form WHERE name='person_language' AND type=0 LIMIT 1),    15385),
(15392,'2008-08-14 11:09:11', (SELECT id FROM form WHERE name='person_competency' AND type=0 LIMIT 1),   15385),
(15393,'2008-08-14 11:11:10', (SELECT id FROM form WHERE name='person_scheduled_training_course' AND type=0 LIMIT 1), 15385),
(15394,'2008-08-14 11:11:10', (SELECT id FROM form WHERE name='training_course_competency_evaluation' AND type=0 LIMIT 1), 15393),
(15395,'2008-08-14 11:11:10', (SELECT id FROM form WHERE name='person_competency' AND type=0 LIMIT 1),   15385),
(15396,'2008-08-14 11:12:22', (SELECT id FROM form WHERE name='application' AND type=0 LIMIT 1),    15385),
(15397,'2008-08-20 13:56:52', (SELECT id FROM form WHERE name='person' AND type=0 LIMIT 1),     15397),
(15398,'2008-08-20 13:57:10', (SELECT id FROM form WHERE name='person_position' AND type=0 LIMIT 1),    15397),
(15399,'2008-08-20 13:57:10', (SELECT id FROM form WHERE name='salary' AND type=0 LIMIT 1),    	15398);





-- 
-- data for table  training module
-- 



INSERT INTO `last_entry` (`record`, `form_field`, `date`, `who`, `change_type`, `string_value`, `integer_value`, `text_value`, `date_value`, `blob_value`) VALUES 
(15385, 218, '2008-08-14 11:00:31', 2, 1, 'Smith', NULL, NULL, NULL, NULL),
(15385, 219, '2008-08-14 11:00:31', 2, 1, 'John', NULL, NULL, NULL, NULL),
(15385, 220, '2008-08-14 11:00:31', 2, 1, NULL, NULL, NULL, NULL, NULL),
(15385, 221, '2008-08-14 11:00:31', 2, 1, NULL, 9, NULL, NULL, NULL),
(15385, 256, '2008-08-14 11:00:31', 2, 1, NULL, 9, NULL, NULL, NULL),
(15385, 257, '2008-08-14 11:00:31', 2, 1, NULL, 41, NULL, NULL, NULL),
(15385, 258, '2008-08-14 11:00:31', 2, 1, NULL, NULL, NULL, NULL, NULL),
(15404, 82, '2008-09-17 14:17:18', 2, 1, NULL, 5, NULL, NULL, NULL),
(15404, 83, '2008-09-17 14:17:18', 2, 1, NULL, NULL, NULL, NULL, NULL),
(15404, 84, '2008-09-17 14:17:18', 2, 1, NULL, NULL, NULL, NULL, NULL),
(15404, 85, '2008-09-17 14:17:18', 2, 1, NULL, NULL, NULL, NULL, NULL),
(15404, 86, '2008-09-17 14:17:18', 2, 1, NULL, NULL, NULL, NULL, NULL),
(15404, 87, '2008-09-17 14:17:18', 2, 1, NULL, NULL, NULL, NULL, NULL),
(15404, 88, '2008-09-17 14:17:18', 2, 1, NULL, NULL, NULL, NULL, NULL),
(15408, 82, '2008-09-17 14:20:44', 2, 1, NULL, 5, NULL, NULL, NULL),
(15408, 83, '2008-09-17 14:20:44', 2, 1, '6340 Quadrangle Dr, Suite 200\r\nChapel Hill, NC 27517 USA', NULL, NULL, NULL, NULL),
(15408, 84, '2008-09-17 14:20:44', 2, 1, '919-313-9100', NULL, NULL, NULL, NULL),
(15408, 85, '2008-09-17 14:20:44', 2, 1, NULL, NULL, NULL, NULL, NULL),
(15408, 86, '2008-09-17 14:20:44', 2, 1, '919-313-9108', NULL, NULL, NULL, NULL),
(15408, 87, '2008-09-17 14:20:44', 2, 1, 'info@capacityproject.org', NULL, NULL, NULL, NULL),
(15408, 88, '2008-09-17 14:20:44', 2, 1, NULL, NULL, NULL, NULL, NULL),
(15406, 82, '2008-09-17 14:17:39', 2, 1, NULL, 5, NULL, NULL, NULL),
(15406, 83, '2008-09-17 14:17:39', 2, 1, NULL, NULL, NULL, NULL, NULL),
(15406, 84, '2008-09-17 14:17:39', 2, 1, NULL, NULL, NULL, NULL, NULL),
(15406, 85, '2008-09-17 14:17:39', 2, 1, NULL, NULL, NULL, NULL, NULL),
(15406, 86, '2008-09-17 14:17:39', 2, 1, NULL, NULL, NULL, NULL, NULL),
(15406, 87, '2008-09-17 14:17:39', 2, 1, NULL, NULL, NULL, NULL, NULL),
(15406, 88, '2008-09-17 14:17:39', 2, 1, NULL, NULL, NULL, NULL, NULL),
(15402, 82, '2008-09-17 14:16:54', 2, 1, NULL, 5, NULL, NULL, NULL),
(15402, 83, '2008-09-17 14:16:54', 2, 1, NULL, NULL, NULL, NULL, NULL),
(15402, 84, '2008-09-17 14:16:54', 2, 1, NULL, NULL, NULL, NULL, NULL),
(15402, 85, '2008-09-17 14:16:54', 2, 1, NULL, NULL, NULL, NULL, NULL),
(15402, 86, '2008-09-17 14:16:54', 2, 1, NULL, NULL, NULL, NULL, NULL),
(15402, 87, '2008-09-17 14:16:54', 2, 1, NULL, NULL, NULL, NULL, NULL),
(15402, 88, '2008-09-17 14:16:54', 2, 1, NULL, NULL, NULL, NULL, NULL),
(15372, 261, '2008-08-14 09:59:53', 2, 1, 'Competent', NULL, NULL, NULL, NULL),
(15373, 261, '2008-08-14 10:00:03', 2, 1, 'Not Competent', NULL, NULL, NULL, NULL),
(15374, 262, '2008-08-14 10:03:40', 2, 1, 'HIV/AIDS', NULL, NULL, NULL, NULL),
(15375, 263, '2008-08-14 10:04:28', 2, 1, 'Open', NULL, NULL, NULL, NULL),
(15376, 263, '2008-08-14 10:04:37', 2, 1, 'Closed', NULL, NULL, NULL, NULL),
(15377, 264, '2008-08-14 10:05:04', 2, 1, 'HIV/AIDS Counseling', NULL, NULL, NULL, NULL),
(15377, 265, '2008-08-14 10:05:04', 2, 1, 'Counseling', NULL, NULL, NULL, NULL),
(15377, 266, '2008-08-14 10:05:04', 2, 1, NULL, NULL, NULL, NULL, NULL),
(15377, 267, '2008-08-14 10:05:04', 2, 1, NULL, NULL, NULL, NULL, NULL),
(15377, 268, '2008-08-14 10:05:04', 2, 1, NULL, NULL, NULL, NULL, NULL),
(15377, 269, '2008-08-14 10:05:04', 2, 1, NULL, NULL, NULL, NULL, NULL),
(15377, 270, '2008-08-14 10:05:04', 2, 1, NULL, 15375, NULL, NULL, NULL),
(15377, 271, '2008-08-14 10:05:04', 2, 1, NULL, 15374, NULL, NULL, NULL),
(15377, 272, '2008-08-14 10:05:04', 2, 1, '163', NULL, NULL, NULL, NULL),
(15378, 273, '2008-08-14 10:05:30', 2, 1, 'Capital City University', NULL, NULL, NULL, NULL),
(15378, 274, '2008-08-14 10:05:30', 2, 1, NULL, 15, NULL, NULL, NULL),
(15378, 275, '2008-08-14 10:05:30', 2, 1, NULL, NULL, NULL, NULL, NULL),
(15378, 276, '2008-08-14 10:05:30', 2, 1, NULL, NULL, NULL, NULL, NULL),
(15378, 277, '2008-08-14 10:05:30', 2, 1, NULL, NULL, NULL, '2008-08-14 00:00:00', NULL),
(15378, 278, '2008-08-14 10:05:30', 2, 1, NULL, NULL, NULL, '2008-08-17 00:00:00', NULL),
(15378, 279, '2008-08-14 10:05:30', 2, 1, NULL, 9, NULL, NULL, NULL),
(15378, 280, '2008-08-14 10:05:30', 2, 1, NULL, 41, NULL, NULL, NULL),
(15378, 281, '2008-08-14 10:05:30', 2, 1, NULL, NULL, NULL, NULL, NULL),
(15379, 282, '2008-08-14 10:07:38', 2, 1, 'Pass', NULL, NULL, NULL, NULL),
(15380, 282, '2008-08-14 10:07:47', 2, 1, 'Fail', NULL, NULL, NULL, NULL),
(15381, 282, '2008-08-14 10:07:55', 2, 1, 'Incomplete', NULL, NULL, NULL, NULL),
(15383, 291, '2008-08-14 10:08:40', 2, 1, NULL, NULL, NULL, NULL, NULL),
(15383, 292, '2008-08-14 10:08:40', 2, 1, NULL, NULL, NULL, '2008-08-14 10:08:40', NULL),
(15383, 293, '2008-08-14 10:08:47', 2, 4, NULL, 15372, NULL, NULL, NULL),
(15383, 294, '2008-08-14 10:08:40', 2, 1, NULL, 145, NULL, NULL, NULL),
(15383, 295, '2008-08-14 10:08:40', 2, 1, NULL, 163, NULL, NULL, NULL),
(15384, 283, '2008-08-14 10:11:12', 29, 1, NULL, 0, NULL, NULL, NULL),
(15384, 284, '2008-08-14 10:11:12', 29, 1, NULL, 0, NULL, NULL, NULL),
(15384, 285, '2008-08-14 10:11:12', 29, 1, NULL, NULL, NULL, '2008-08-14 00:00:00', NULL),
(15384, 286, '2008-08-14 10:11:12', 29, 1, NULL, NULL, NULL, NULL, NULL),
(15384, 287, '2008-08-14 10:11:12', 29, 1, NULL, 15381, NULL, NULL, NULL),
(15384, 288, '2008-08-14 10:11:12', 29, 1, NULL, NULL, NULL, NULL, NULL),
(15384, 289, '2008-08-14 10:11:12', 29, 1, NULL, 15377, NULL, NULL, NULL),
(15384, 290, '2008-08-14 10:11:12', 29, 1, NULL, 15378, NULL, NULL, NULL),
(15393, 283, '2008-08-14 11:10:30', 2, 1, NULL, 0, NULL, NULL, NULL),
(15393, 284, '2008-08-14 11:10:30', 2, 1, NULL, 0, NULL, NULL, NULL),
(15393, 285, '2008-08-14 11:10:30', 2, 1, NULL, NULL, NULL, '2008-08-14 00:00:00', NULL),
(15393, 286, '2008-08-14 11:10:30', 2, 1, NULL, NULL, NULL, NULL, NULL),
(15393, 287, '2008-08-14 11:10:30', 2, 1, NULL, 15381, NULL, NULL, NULL),
(15393, 288, '2008-08-14 11:10:30', 2, 1, NULL, NULL, NULL, NULL, NULL),
(15393, 289, '2008-08-14 11:10:30', 2, 1, NULL, 15377, NULL, NULL, NULL),
(15393, 290, '2008-08-14 11:10:30', 2, 1, NULL, 15378, NULL, NULL, NULL),
(15394, 291, '2008-08-14 11:10:54', 2, 1, NULL, NULL, NULL, NULL, NULL),
(15394, 292, '2008-08-14 11:10:54', 2, 1, NULL, NULL, NULL, '2008-08-14 11:10:54', NULL),
(15394, 293, '2008-08-14 11:11:10', 2, 4, NULL, 15372, NULL, NULL, NULL),
(15394, 294, '2008-08-14 11:10:54', 2, 1, NULL, 145, NULL, NULL, NULL),
(15394, 295, '2008-08-14 11:10:54', 2, 1, NULL, 163, NULL, NULL, NULL),
(15400, 296, '2008-09-17 14:16:07', 2, 1, 'Advocacy for Patients with HIV/AIDS', NULL, NULL, NULL, NULL),
(15400, 297, '2008-09-17 14:16:07', 2, 1, NULL, 2, NULL, NULL, NULL),
(15401, 298, '2008-09-17 14:16:54', 2, 1, 'Baisl School', NULL, NULL, NULL, NULL),
(15401, 299, '2008-09-17 14:16:54', 2, 1, NULL, 9, NULL, NULL, NULL),
(15401, 300, '2008-09-17 14:16:54', 2, 1, NULL, 55, NULL, NULL, NULL),
(15401, 301, '2008-09-17 14:16:54', 2, 1, NULL, NULL, NULL, NULL, NULL),
(15403, 298, '2008-09-17 14:17:18', 2, 1, 'Caecheaje School', NULL, NULL, NULL, NULL),
(15403, 299, '2008-09-17 14:17:18', 2, 1, NULL, 9, NULL, NULL, NULL),
(15403, 300, '2008-09-17 14:17:18', 2, 1, NULL, 82, NULL, NULL, NULL),
(15403, 301, '2008-09-17 14:17:18', 2, 1, NULL, NULL, NULL, NULL, NULL),
(15405, 298, '2008-09-17 14:17:39', 2, 1, 'Caifrael School', NULL, NULL, NULL, NULL),
(15405, 299, '2008-09-17 14:17:39', 2, 1, NULL, 9, NULL, NULL, NULL),
(15405, 300, '2008-09-17 14:17:39', 2, 1, NULL, 41, NULL, NULL, NULL),
(15405, 301, '2008-09-17 14:17:39', 2, 1, NULL, NULL, NULL, NULL, NULL),
(15407, 302, '2008-09-17 14:20:44', 2, 1, 'Capacity Project/IntraHealth', NULL, NULL, NULL, NULL),
(15407, 303, '2008-09-17 14:20:44', 2, 1, NULL, 110, NULL, NULL, NULL),
(15407, 304, '2008-09-17 14:20:44', 2, 1, NULL, 128, NULL, NULL, NULL),
(15407, 305, '2008-09-17 14:20:44', 2, 1, NULL, 15340, NULL, NULL, NULL),
(15409, 306, '2008-09-17 14:21:07', 2, 1, 'Employee', NULL, NULL, NULL, NULL),
(15410, 306, '2008-09-17 14:21:16', 2, 1, 'Supervisor', NULL, NULL, NULL, NULL),
(15411, 306, '2008-09-17 14:21:23', 2, 1, 'Human Resources', NULL, NULL, NULL, NULL),
(15412, 306, '2008-09-17 14:21:30', 2, 1, 'Donor', NULL, NULL, NULL, NULL),
(15413, 306, '2008-09-17 14:21:36', 2, 1, 'Other', NULL, NULL, NULL, NULL),
(15414, 264, '2008-09-17 14:22:42', 2, 1, 'HIV/AIDS Patient Counseling', NULL, NULL, NULL, NULL),
(15414, 265, '2008-09-17 14:22:42', 2, 1, 'Counseling', NULL, NULL, NULL, NULL),
(15414, 266, '2008-09-17 14:22:42', 2, 1, NULL, NULL, NULL, NULL, NULL),
(15414, 267, '2008-09-17 14:22:42', 2, 1, NULL, 15403, NULL, NULL, NULL),
(15414, 268, '2008-09-17 14:22:42', 2, 1, '15407', NULL, NULL, NULL, NULL),
(15414, 269, '2008-09-17 14:22:42', 2, 1, '15400', NULL, NULL, NULL, NULL),
(15414, 270, '2008-09-17 14:22:42', 2, 1, NULL, 15375, NULL, NULL, NULL),
(15414, 271, '2008-09-17 14:22:42', 2, 1, NULL, 15374, NULL, NULL, NULL),
(15414, 272, '2008-09-17 14:22:42', 2, 1, NULL, NULL, NULL, NULL, NULL),
(15415, 273, '2008-09-17 14:23:14', 2, 1, 'Capital City University', NULL, NULL, NULL, NULL),
(15415, 274, '2008-09-17 14:23:14', 2, 1, NULL, 50, NULL, NULL, NULL),
(15415, 275, '2008-09-17 14:23:14', 2, 1, NULL, NULL, NULL, NULL, NULL),
(15415, 276, '2008-09-17 14:23:14', 2, 1, NULL, NULL, NULL, NULL, NULL),
(15415, 277, '2008-09-17 14:23:14', 2, 1, NULL, NULL, NULL, '2008-12-17 00:00:00', NULL),
(15415, 278, '2008-09-17 14:23:14', 2, 1, NULL, NULL, NULL, '2008-12-20 00:00:00', NULL),
(15415, 279, '2008-09-17 14:23:14', 2, 1, NULL, 9, NULL, NULL, NULL),
(15415, 280, '2008-09-17 14:23:14', 2, 1, NULL, 41, NULL, NULL, NULL),
(15415, 281, '2008-09-17 14:23:14', 2, 1, NULL, NULL, NULL, NULL, NULL),
(15416, 296, '2008-09-17 14:23:55', 2, 1, 'Breastfeeding for Nursing Licensure', NULL, NULL, NULL, NULL),
(15416, 297, '2008-09-17 14:23:55', 2, 1, NULL, 4, NULL, NULL, NULL),
(15417, 262, '2008-09-17 14:24:26', 2, 1, 'Maternal Health', NULL, NULL, NULL, NULL),
(15418, 264, '2008-09-17 14:24:59', 2, 1, 'Postnatal Care for Nurses', NULL, NULL, NULL, NULL),
(15418, 265, '2008-09-17 14:24:59', 2, 1, 'Postnatal Care', NULL, NULL, NULL, NULL),
(15418, 266, '2008-09-17 14:24:59', 2, 1, NULL, NULL, NULL, NULL, NULL),
(15418, 267, '2008-09-17 14:24:59', 2, 1, NULL, 15401, NULL, NULL, NULL),
(15418, 268, '2008-09-17 14:24:59', 2, 1, '15407', NULL, NULL, NULL, NULL),
(15418, 269, '2008-09-17 14:24:59', 2, 1, '15416', NULL, NULL, NULL, NULL),
(15418, 270, '2008-09-17 14:24:59', 2, 1, NULL, 15375, NULL, NULL, NULL),
(15418, 271, '2008-09-17 14:24:59', 2, 1, NULL, 15417, NULL, NULL, NULL),
(15418, 272, '2008-09-17 14:24:59', 2, 1, '174', NULL, NULL, NULL, NULL),
(15419, 273, '2008-09-17 14:25:35', 2, 1, 'Baisl School', NULL, NULL, NULL, NULL),
(15419, 274, '2008-09-17 14:25:35', 2, 1, NULL, 65, NULL, NULL, NULL),
(15419, 275, '2008-09-17 14:25:35', 2, 1, NULL, NULL, NULL, NULL, NULL),
(15419, 276, '2008-09-17 14:25:35', 2, 1, 'Ms. Janine Brown', NULL, NULL, NULL, NULL),
(15419, 277, '2008-09-17 14:25:35', 2, 1, NULL, NULL, NULL, '2009-04-10 00:00:00', NULL),
(15419, 278, '2008-09-17 14:25:35', 2, 1, NULL, NULL, NULL, '2009-04-17 00:00:00', NULL),
(15419, 279, '2008-09-17 14:25:35', 2, 1, NULL, 9, NULL, NULL, NULL),
(15419, 280, '2008-09-17 14:25:35', 2, 1, NULL, 55, NULL, NULL, NULL),
(15419, 281, '2008-09-17 14:25:35', 2, 1, NULL, NULL, NULL, NULL, NULL),
(15420, 262, '2008-09-17 14:26:13', 2, 1, 'Infection Control', NULL, NULL, NULL, NULL),
(15421, 262, '2008-09-17 14:26:26', 2, 1, 'Neonatal Care', NULL, NULL, NULL, NULL),
(15422, 262, '2008-09-17 14:26:43', 2, 1, 'Laboratory', NULL, NULL, NULL, NULL),
(15386, 225, '2008-08-14 11:02:10', 2, 1, NULL, NULL, NULL, NULL, NULL),
(15386, 226, '2008-08-14 11:02:10', 2, 1, NULL, 2, NULL, NULL, NULL),
(15386, 227, '2008-08-14 11:02:10', 2, 1, NULL, NULL, NULL, NULL, NULL),
(15386, 228, '2008-08-14 11:02:10', 2, 1, NULL, NULL, NULL, NULL, NULL),
(15387, 82, '2008-08-14 11:03:21', 2, 1, NULL, 1, NULL, NULL, NULL),
(15387, 83, '2008-08-14 11:03:21', 2, 1, '1000 Madison Ave', NULL, NULL, NULL, NULL),
(15387, 84, '2008-08-14 11:03:21', 2, 1, NULL, NULL, NULL, NULL, NULL),
(15387, 85, '2008-08-14 11:03:21', 2, 1, NULL, NULL, NULL, NULL, NULL),
(15387, 86, '2008-08-14 11:03:21', 2, 1, NULL, NULL, NULL, NULL, NULL),
(15387, 87, '2008-08-14 11:03:21', 2, 1, NULL, NULL, NULL, NULL, NULL),
(15387, 88, '2008-08-14 11:03:21', 2, 1, NULL, NULL, NULL, NULL, NULL),
(15388, 229, '2008-08-14 11:04:00', 2, 1, NULL, 10154, NULL, NULL, NULL),
(15388, 230, '2008-08-14 11:04:00', 2, 1, NULL, NULL, NULL, '2008-08-14 00:00:00', NULL),
(15388, 231, '2008-08-14 11:04:00', 2, 1, NULL, NULL, NULL, NULL, NULL),
(15388, 232, '2008-08-14 11:04:00', 2, 1, NULL, NULL, NULL, NULL, NULL),
(15389, 233, '2008-08-14 11:04:00', 2, 1, NULL, NULL, NULL, '2008-08-14 00:00:00', NULL),
(15389, 234, '2008-08-14 11:04:00', 2, 1, '10|10000', NULL, NULL, NULL, NULL),
(15389, 235, '2008-08-14 11:04:00', 2, 1, NULL, NULL, NULL, NULL, NULL),
(15389, 241, '2008-08-14 11:04:00', 2, 1, NULL, NULL, NULL, NULL, NULL),
(15390, 97, '2008-08-14 11:04:38', 2, 1, NULL, 186, NULL, NULL, NULL),
(15390, 98, '2008-08-14 11:04:38', 2, 1, '45654', NULL, NULL, NULL, NULL),
(15391, 193, '2008-08-14 11:08:34', 2, 1, NULL, 93, NULL, NULL, NULL),
(15391, 194, '2008-08-14 11:08:34', 2, 1, NULL, 1, NULL, NULL, NULL),
(15391, 243, '2008-08-14 11:08:34', 2, 1, '1', NULL, NULL, NULL, NULL),
(15391, 244, '2008-08-14 11:08:34', 2, 1, '1', NULL, NULL, NULL, NULL),
(15392, 197, '2008-08-14 11:09:11', 2, 1, NULL, 145, NULL, NULL, NULL),
(15392, 198, '2008-08-14 11:09:11', 2, 1, NULL, 174, NULL, NULL, NULL),
(15392, 259, '2008-08-14 11:09:11', 2, 1, NULL, NULL, NULL, '2008-08-14 00:00:00', NULL),
(15392, 260, '2008-08-14 11:09:11', 2, 1, NULL, 15372, NULL, NULL, NULL),
(15395, 197, '2008-08-14 11:11:10', 2, 1, NULL, 145, NULL, NULL, NULL),
(15395, 198, '2008-08-14 11:11:10', 2, 1, NULL, 163, NULL, NULL, NULL),
(15395, 259, '2008-08-14 11:11:10', 2, 1, NULL, NULL, NULL, '2008-08-14 00:00:00', NULL),
(15395, 260, '2008-08-14 11:11:10', 2, 1, NULL, 15372, NULL, NULL, NULL),
(15396, 118, '2008-08-14 11:12:22', 2, 1, '10174', NULL, NULL, NULL, NULL),
(15396, 119, '2008-08-14 11:12:22', 2, 1, NULL, 0, NULL, NULL, NULL),
(15396, 120, '2008-08-14 11:12:22', 2, 1, NULL, NULL, NULL, NULL, NULL),
(15396, 199, '2008-08-14 11:12:22', 2, 1, NULL, NULL, NULL, NULL, NULL),
(15396, 200, '2008-08-14 11:12:22', 2, 1, NULL, NULL, NULL, NULL, NULL),
(15396, 201, '2008-08-14 11:12:22', 2, 1, NULL, NULL, NULL, '2008-08-14 00:00:00', NULL),
(15396, 202, '2008-08-14 11:12:22', 2, 1, '|', NULL, NULL, NULL, NULL),
(15396, 203, '2008-08-14 11:12:22', 2, 1, NULL, 1, NULL, NULL, NULL),
(15396, 204, '2008-08-14 11:12:22', 2, 1, NULL, NULL, NULL, NULL, NULL),
(15397, 218, '2008-08-20 13:55:44', 3, 1, 'Black', NULL, NULL, NULL, NULL),
(15397, 219, '2008-08-20 13:55:44', 3, 1, 'Jack', NULL, NULL, NULL, NULL),
(15397, 220, '2008-08-20 13:55:44', 3, 1, NULL, NULL, NULL, NULL, NULL),
(15397, 221, '2008-08-20 13:55:44', 3, 1, NULL, 9, NULL, NULL, NULL),
(15397, 233, '2008-08-20 13:56:52', 3, 4, NULL, NULL, NULL, '2008-08-20 00:00:00', NULL),
(15397, 234, '2008-08-20 13:56:52', 3, 4, '10298|650000', NULL, NULL, NULL, NULL),
(15397, 235, '2008-08-20 13:56:52', 3, 4, NULL, NULL, NULL, NULL, NULL),
(15397, 241, '2008-08-20 13:56:52', 3, 4, NULL, NULL, NULL, NULL, NULL),
(15397, 256, '2008-08-20 13:55:44', 3, 1, NULL, 9, NULL, NULL, NULL),
(15397, 257, '2008-08-20 13:55:44', 3, 1, NULL, 59, NULL, NULL, NULL),
(15397, 258, '2008-08-20 13:55:44', 3, 1, NULL, NULL, NULL, NULL, NULL),
(15398, 229, '2008-08-20 13:56:21', 3, 1, NULL, 10157, NULL, NULL, NULL),
(15398, 230, '2008-08-20 13:56:21', 3, 1, NULL, NULL, NULL, '2008-08-20 00:00:00', NULL),
(15398, 231, '2008-08-20 13:57:10', 3, 4, NULL, NULL, NULL, '2008-08-20 00:00:00', NULL),
(15398, 232, '2008-08-20 13:57:10', 3, 4, NULL, 194, NULL, NULL, NULL),
(15399, 233, '2008-08-20 13:56:21', 3, 1, NULL, NULL, NULL, '2008-08-20 00:00:00', NULL),
(15399, 234, '2008-08-20 13:56:21', 3, 1, '10298|555000', NULL, NULL, NULL, NULL),
(15399, 235, '2008-08-20 13:57:10', 3, 4, NULL, NULL, NULL, '2008-08-20 00:00:00', NULL),
(15399, 241, '2008-08-20 13:56:21', 3, 1, NULL, NULL, NULL, NULL, NULL);

